%define name	latex2html
%define version	2000.1beta
%define release	4mdk
%define prefix	%{_prefix}
%define compactversion	2K.1beta

Name: 		%{name}
Summary: 	LaTeX to HTML converter.
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Publishing
URL: 		http://saftsack.fs.uni-bayreuth.de/~latex2ht/
Source: 	http://saftsack.fs.uni-bayreuth.de/~latex2ht/current/%{name}-%{compactversion}.tar.bz2
# the original source produces charset=utf8 html headers, which are unknown
# by most web browsers; this fixes the proper charset=utf-8 value -- pablo
Patch:		latex2html-utf8.patch.bz2
Requires: 	tetex-latex >= 0.4, tetex-dvips >= 0.4, ghostscript >= 5.50, giftrans, perl >= 5.004, netpbm
Prereq: 	tetex-latex >= 0.4

# BuildRoot has to be strange due to the way configure makes directory structure
BuildRoot:	%{_tmppath}/%{version}
BuildArchitectures:	noarch

%define graphic_format	png	# use "gif" or "png"
%define ownlibdir %{_libdir}/%{name}

%description
Elaborate perl program to convert latex documents to html, using LaTeX
to process images and equations.  

%prep
%setup -q -n %{name}-%{compactversion}

%patch0 -p1

%build
TMP=/tmp ./configure --with-gs=%{_bindir}/gs \
  --with-texpath=%{_datadir}/texmf/tex/ \
  --without-mktexlsr \
  --with-perl=%{__perl} \
  --prefix=%{prefix}

%make

%install

# custom "make install" so paths are proper in the perl programs

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 latex2html $RPM_BUILD_ROOT%{_bindir}
install -m 755 pstoimg $RPM_BUILD_ROOT%{_bindir}
install -m 755 texexpand $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/IndicTeX-HTML
cp -avRf IndicTeX-HTML/* $RPM_BUILD_ROOT%{ownlibdir}/IndicTeX-HTML

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/L2hos
cp -avRf L2hos.pm $RPM_BUILD_ROOT%{ownlibdir}
cp -avRf L2hos/* $RPM_BUILD_ROOT%{ownlibdir}/L2hos

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/XyMTeX-HTML
cp -avRf XyMTeX-HTML/* $RPM_BUILD_ROOT%{ownlibdir}/XyMTeX-HTML

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/cweb2html
cp -avRf cweb2html/* $RPM_BUILD_ROOT%{ownlibdir}/cweb2html

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/docs
cp -avRf docs/* $RPM_BUILD_ROOT%{ownlibdir}/docs

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/example
cp -avRf example/* $RPM_BUILD_ROOT%{ownlibdir}/example

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/foilhtml
cp -avRf foilhtml/* $RPM_BUILD_ROOT%{ownlibdir}/foilhtml

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/icons
cp -avRf icons/* $RPM_BUILD_ROOT%{ownlibdir}/icons

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/makeseg
cp -avRf makeseg/* $RPM_BUILD_ROOT%{ownlibdir}/makeseg

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/styles
cp -avRf styles/* $RPM_BUILD_ROOT%{ownlibdir}/styles

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/texinputs
cp -avRf texinputs/* $RPM_BUILD_ROOT%{ownlibdir}/texinputs

mkdir -p $RPM_BUILD_ROOT%{ownlibdir}/versions
cp -avRf versions/* $RPM_BUILD_ROOT%{ownlibdir}/versions

cp -avRf cfgcache.pm dot.latex2html-init l2hconf.pm makemap readme.hthtml $RPM_BUILD_ROOT%{ownlibdir}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/html
cp -avRf texinputs/* $RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/html

mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}
cp -avRf Changes FAQ MANIFEST README readme.hthtml TODO BUGS INSTALL dot.latex2html-init example $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version}

# fix perl path in a few places:

perl -pi -e 's#/usr/local/bin/perl#%{__perl}#'  $RPM_BUILD_ROOT%{prefix}/lib/latex2html/cweb2html/cweb2html
perl -pi -e 's#/usr/local/bin/perl#%{__perl}#'  $RPM_BUILD_ROOT%{prefix}/lib/latex2html/makeseg/makeseg
perl -pi -e 's#/usr/local/bin/perl#%{__perl}#'  $RPM_BUILD_ROOT%{ownlibdir}/makemap

pushd docs && TEXINPUTS=:.:../texinputs latex manual && TEXINPUTS=:.:../texinputs latex manual && make && cp manual.ps $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}-%{version} && popd


#cd $RPM_BUILD_ROOT
#find . -type d | sed -e '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
#	 $RPM_BUILD_DIR/file.list.%{name}
#
#find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
#		-e '/\/etc\//s|^|%config|' \
#		-e '/\/config\//s|^|%config|' \
#		>> $RPM_BUILD_DIR/file.list.%{name}
#
#find . -type l | sed -e 's,^\.,\%attr(-\,root\,root) ,' >> \
#	 $RPM_BUILD_DIR/file.list.%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post -p %{_bindir}/mktexlsr

%postun -p %{_bindir}/mktexlsr

%files
%defattr(-,root,root,0755)
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/texmf/tex/latex/html/
%{_docdir}/%{name}-%{version}

%changelog
* Thu Aug 09 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 2000.1beta-4mdk
- corrected wrong charset indication when creating utf-8 pages

* Tue Jul 31 2001 Yves Duret <yduret@mandrakesoft.com>  2000.1beta-3mdk
- use %%__perl macros, use perl (sed sux)
- rebuild with netpbm
- added requires to netpbm

* Tue Jun  5 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2000.1beta-2mdk
- fix pstoimg tmp variable issue 

* Tue May 15 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 2000.1beta-1mdk
- update to 2K.1beta

* Mon Jan 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 99.2beta8-4mdk
- include manual.ps following suggestion by David Aspinall <da@dcs.ed.ac.uk>

* Tue Nov  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 99.2beta8-3mdk
- fix specfile

* Fri Aug 25 2000 Geoffrey Lee <snailtalk@mandrakesof.com> 99.2beta8-2mdk
- readd /usr/bin/pstoimg ...oops ... (Erik Devriendt)
- fix license. There is no such thing as a GNU license.!

* Wed Aug 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 99.2beta8-1mdk
- new version to fix some nasty bugz (Meinhard E. Mayer)

* Sun Jul 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 99.2beta6-4mdk
- rebuild with cleanup

* Mon Mar 20 2000 Camille Begnis <camille@mandrakesoft.com> 99.2beta6-3mdk
- Fixed group

* Sat Mar 18 2000 Camille Begnis <camille@mandrakesoft.com> 99.2beta6-2mdk
- minor spec update 

* Thu Feb 10 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used - once again - a great srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Tue Feb 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- added fixes for some perl scripts that point to /usr/local/bin/perl

* Sun Feb 6 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- removed make install and replaced with custom installer to ensure correct
  paths in the latex2html perl programs
